# berufssprachkurssuche
Eine der größten Berufssprachförderungsdatenbanken Deutschlands durchsuchen. 

Die Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:

**ClientID:** bd24f42e-ad0b-4005-b834-23bb6800dc6c

**ClientSecret:** 6776b89e-5728-4643-8cd5-c93aefb5314b 

**Achtung**: der generierte Token muss bei folgenden GET-requests im header als 'OAuthAccessToken' inkludiert werden.


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://github.com/AndreasFischer1985/berufssprachkurssuche-api](https://github.com/AndreasFischer1985/berufssprachkurssuche-api)

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[berufssprachkurssuche]
```

### poetry install

```sh
poetry add deutschland -E berufssprachkurssuche
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import berufssprachkurssuche
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import berufssprachkurssuche
from pprint import pprint
from deutschland.berufssprachkurssuche.api import default_api
from deutschland.berufssprachkurssuche.model.response import Response
# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung
# See configuration.py for a list of all supported configuration parameters.
configuration = berufssprachkurssuche.Configuration(
    host = "https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure OAuth2 access token for authorization: clientCredAuth
configuration = berufssprachkurssuche.Configuration(
    host = "https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung"
)
configuration.access_token = 'YOUR_ACCESS_TOKEN'


# Enter a context with an instance of the API client
with berufssprachkurssuche.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    suchworte = "Deutschsprachf%25C3%25B6rderung" # str | Suchworte (z.B. Deutschsprachf%25C3%25B6rderung,Berufsbezogener%2520Englischkurs). Mehrere Komma-getrennte Angaben möglich. (optional)
    orte = "Feucht_90537_11.224918_49.376701" # str | Ortsangabe nebst Postleitzahl und Koordinaten (z.B. Feucht_90537_11.224918_49.376701,N%C3%BCrnberg;%20Mittelfranken_11.0753_49.4508). Mehrere Komma-getrennte Angaben möglich. (optional)
    page = 1 # int | Seite (beginnend mit 0 für die erste Seite). (optional)
    umkreis = "Bundesweit" # str | Umkreis - Bundesweit=Bundesweit, 25=25 km, 50=50 km, 100=100 km, 150=150 km, 200=200 km. (optional)
    sprachniveau = "MC%2001%201" # str | Sprachzielniveau - MC%2001%201=A2, MC%2001%202=B1, MC%2001%203=B2, MC%2001%204=C1, MC%2001%205=C2. Mehrere Komma-getrennte Angaben möglich. (optional)
    berufsfachsprachkurse = "MC%2003" # str | Berufsfachsprachkurse - MC%2002=Spezialberufskurs, MC%2003=Berufsanerkennung. Mehrere Komma-getrennte Angaben möglich. (optional)
    beginntermine = 1 # int | Beginntermin - 0=regelmäßiger Start, 1=diesen Monat, 2=nächster Monat, 3=übernächster Monat, 4=überübernächster Monat, 5=spätere Termine, 6=frühere Termine. Mehrere Komma-getrennte Angaben möglich. (optional)
    unterrichtsformen = 0 # int | Lernform - 1=Vollzeit, 2=Teilzeit, 6=Blockunterricht, 3=Wochenendveranstaltung, 5=E-Learning, 0=Auf Anfrage. Mehrere Komma-getrennte Angaben möglich. (optional)
    anbieter = 16574 # int | Anbieter-ID - numerische ID (z.B. 16574). Mehrere Komma-getrennte Angaben möglich. Bei größeren Treffermengen ist für die Verwendung des Filters nach Anbietern eine Einschränkung auf Ort, Suchbegriff oder Umkreis erforderlich. (optional)

    try:
        # Berufssprachkurssuche
        api_response = api_instance.berufssprachkurssuche(suchworte=suchworte, orte=orte, page=page, umkreis=umkreis, sprachniveau=sprachniveau, berufsfachsprachkurse=berufsfachsprachkurse, beginntermine=beginntermine, unterrichtsformen=unterrichtsformen, anbieter=anbieter)
        pprint(api_response)
    except berufssprachkurssuche.ApiException as e:
        print("Exception when calling DefaultApi->berufssprachkurssuche: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**berufssprachkurssuche**](docs/DefaultApi.md#berufssprachkurssuche) | **GET** /pc/v1/bildungsangebot | Berufssprachkurssuche


## Documentation For Models

 - [Response](docs/Response.md)
 - [ResponseEmbedded](docs/ResponseEmbedded.md)
 - [ResponseEmbeddedAbstaende](docs/ResponseEmbeddedAbstaende.md)
 - [ResponseEmbeddedAdresse](docs/ResponseEmbeddedAdresse.md)
 - [ResponseEmbeddedAdresseKoordinaten](docs/ResponseEmbeddedAdresseKoordinaten.md)
 - [ResponseEmbeddedAggregations](docs/ResponseEmbeddedAggregations.md)
 - [ResponseEmbeddedAggregationsANBIETER](docs/ResponseEmbeddedAggregationsANBIETER.md)
 - [ResponseEmbeddedAggregationsANZAHLAUSGEFILTERT](docs/ResponseEmbeddedAggregationsANZAHLAUSGEFILTERT.md)
 - [ResponseEmbeddedAggregationsANZAHLGESAMT](docs/ResponseEmbeddedAggregationsANZAHLGESAMT.md)
 - [ResponseEmbeddedAggregationsBEGINNTERMIN](docs/ResponseEmbeddedAggregationsBEGINNTERMIN.md)
 - [ResponseEmbeddedAggregationsREGIONEN](docs/ResponseEmbeddedAggregationsREGIONEN.md)
 - [ResponseEmbeddedAggregationsSPRACHKURSE](docs/ResponseEmbeddedAggregationsSPRACHKURSE.md)
 - [ResponseEmbeddedAggregationsUNTERRICHTSFORMEN](docs/ResponseEmbeddedAggregationsUNTERRICHTSFORMEN.md)
 - [ResponseEmbeddedAngebot](docs/ResponseEmbeddedAngebot.md)
 - [ResponseEmbeddedAngebotBildungsanbieter](docs/ResponseEmbeddedAngebotBildungsanbieter.md)
 - [ResponseEmbeddedAngebotBildungsanbieterAdresse](docs/ResponseEmbeddedAngebotBildungsanbieterAdresse.md)
 - [ResponseEmbeddedAngebotBildungsanbieterAdresseKoordinaten](docs/ResponseEmbeddedAngebotBildungsanbieterAdresseKoordinaten.md)
 - [ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasse](docs/ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasse.md)
 - [ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasseLand](docs/ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasseLand.md)
 - [ResponseEmbeddedAngebotBildungsart](docs/ResponseEmbeddedAngebotBildungsart.md)
 - [ResponseEmbeddedAngebotSchulart](docs/ResponseEmbeddedAngebotSchulart.md)
 - [ResponseEmbeddedAngebotSuchworte](docs/ResponseEmbeddedAngebotSuchworte.md)
 - [ResponseEmbeddedAngebotSystematiken](docs/ResponseEmbeddedAngebotSystematiken.md)
 - [ResponseEmbeddedDauer](docs/ResponseEmbeddedDauer.md)
 - [ResponseEmbeddedLinks](docs/ResponseEmbeddedLinks.md)
 - [ResponseEmbeddedLinksFirst](docs/ResponseEmbeddedLinksFirst.md)
 - [ResponseEmbeddedOrt](docs/ResponseEmbeddedOrt.md)
 - [ResponseEmbeddedPage](docs/ResponseEmbeddedPage.md)
 - [ResponseEmbeddedTermine](docs/ResponseEmbeddedTermine.md)
 - [ResponseEmbeddedUnterrichtsform](docs/ResponseEmbeddedUnterrichtsform.md)


## Documentation For Authorization


## clientCredAuth

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: N/A


## Author

andreasfischer1985@web.de


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in berufssprachkurssuche.apis and berufssprachkurssuche.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.berufssprachkurssuche.api.default_api import DefaultApi`
- `from deutschland.berufssprachkurssuche.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import berufssprachkurssuche
from deutschland.berufssprachkurssuche.apis import *
from deutschland.berufssprachkurssuche.models import *
```

