# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.berufssprachkurssuche',
 'deutschland.berufssprachkurssuche.api',
 'deutschland.berufssprachkurssuche.apis',
 'deutschland.berufssprachkurssuche.model',
 'deutschland.berufssprachkurssuche.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-berufssprachkurssuche',
    'version': '0.1.0',
    'description': 'Arbeitsagentur Berufssprachkurssuche API',
    'long_description': '# berufssprachkurssuche\nEine der größten Berufssprachförderungsdatenbanken Deutschlands durchsuchen. \n\nDie Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:\n\n**ClientID:** bd24f42e-ad0b-4005-b834-23bb6800dc6c\n\n**ClientSecret:** 6776b89e-5728-4643-8cd5-c93aefb5314b \n\n**Achtung**: der generierte Token muss bei folgenden GET-requests im header als \'OAuthAccessToken\' inkludiert werden.\n\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\nFor more information, please visit [https://github.com/AndreasFischer1985/berufssprachkurssuche-api](https://github.com/AndreasFischer1985/berufssprachkurssuche-api)\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[berufssprachkurssuche]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E berufssprachkurssuche\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import berufssprachkurssuche\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import berufssprachkurssuche\nfrom pprint import pprint\nfrom deutschland.berufssprachkurssuche.api import default_api\nfrom deutschland.berufssprachkurssuche.model.response import Response\n# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = berufssprachkurssuche.Configuration(\n    host = "https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung"\n)\n\n# The client must configure the authentication and authorization parameters\n# in accordance with the API server security policy.\n# Examples for each auth method are provided below, use the example that\n# satisfies your auth use case.\n\n# Configure OAuth2 access token for authorization: clientCredAuth\nconfiguration = berufssprachkurssuche.Configuration(\n    host = "https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung"\n)\nconfiguration.access_token = \'YOUR_ACCESS_TOKEN\'\n\n\n# Enter a context with an instance of the API client\nwith berufssprachkurssuche.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    suchworte = "Deutschsprachf%25C3%25B6rderung" # str | Suchworte (z.B. Deutschsprachf%25C3%25B6rderung,Berufsbezogener%2520Englischkurs). Mehrere Komma-getrennte Angaben möglich. (optional)\n    orte = "Feucht_90537_11.224918_49.376701" # str | Ortsangabe nebst Postleitzahl und Koordinaten (z.B. Feucht_90537_11.224918_49.376701,N%C3%BCrnberg;%20Mittelfranken_11.0753_49.4508). Mehrere Komma-getrennte Angaben möglich. (optional)\n    page = 1 # int | Seite (beginnend mit 0 für die erste Seite). (optional)\n    umkreis = "Bundesweit" # str | Umkreis - Bundesweit=Bundesweit, 25=25 km, 50=50 km, 100=100 km, 150=150 km, 200=200 km. (optional)\n    sprachniveau = "MC%2001%201" # str | Sprachzielniveau - MC%2001%201=A2, MC%2001%202=B1, MC%2001%203=B2, MC%2001%204=C1, MC%2001%205=C2. Mehrere Komma-getrennte Angaben möglich. (optional)\n    berufsfachsprachkurse = "MC%2003" # str | Berufsfachsprachkurse - MC%2002=Spezialberufskurs, MC%2003=Berufsanerkennung. Mehrere Komma-getrennte Angaben möglich. (optional)\n    beginntermine = 1 # int | Beginntermin - 0=regelmäßiger Start, 1=diesen Monat, 2=nächster Monat, 3=übernächster Monat, 4=überübernächster Monat, 5=spätere Termine, 6=frühere Termine. Mehrere Komma-getrennte Angaben möglich. (optional)\n    unterrichtsformen = 0 # int | Lernform - 1=Vollzeit, 2=Teilzeit, 6=Blockunterricht, 3=Wochenendveranstaltung, 5=E-Learning, 0=Auf Anfrage. Mehrere Komma-getrennte Angaben möglich. (optional)\n    anbieter = 16574 # int | Anbieter-ID - numerische ID (z.B. 16574). Mehrere Komma-getrennte Angaben möglich. Bei größeren Treffermengen ist für die Verwendung des Filters nach Anbietern eine Einschränkung auf Ort, Suchbegriff oder Umkreis erforderlich. (optional)\n\n    try:\n        # Berufssprachkurssuche\n        api_response = api_instance.berufssprachkurssuche(suchworte=suchworte, orte=orte, page=page, umkreis=umkreis, sprachniveau=sprachniveau, berufsfachsprachkurse=berufsfachsprachkurse, beginntermine=beginntermine, unterrichtsformen=unterrichtsformen, anbieter=anbieter)\n        pprint(api_response)\n    except berufssprachkurssuche.ApiException as e:\n        print("Exception when calling DefaultApi->berufssprachkurssuche: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://rest.arbeitsagentur.de/infosysbub/sprachfoerderung*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**berufssprachkurssuche**](docs/DefaultApi.md#berufssprachkurssuche) | **GET** /pc/v1/bildungsangebot | Berufssprachkurssuche\n\n\n## Documentation For Models\n\n - [Response](docs/Response.md)\n - [ResponseEmbedded](docs/ResponseEmbedded.md)\n - [ResponseEmbeddedAbstaende](docs/ResponseEmbeddedAbstaende.md)\n - [ResponseEmbeddedAdresse](docs/ResponseEmbeddedAdresse.md)\n - [ResponseEmbeddedAdresseKoordinaten](docs/ResponseEmbeddedAdresseKoordinaten.md)\n - [ResponseEmbeddedAggregations](docs/ResponseEmbeddedAggregations.md)\n - [ResponseEmbeddedAggregationsANBIETER](docs/ResponseEmbeddedAggregationsANBIETER.md)\n - [ResponseEmbeddedAggregationsANZAHLAUSGEFILTERT](docs/ResponseEmbeddedAggregationsANZAHLAUSGEFILTERT.md)\n - [ResponseEmbeddedAggregationsANZAHLGESAMT](docs/ResponseEmbeddedAggregationsANZAHLGESAMT.md)\n - [ResponseEmbeddedAggregationsBEGINNTERMIN](docs/ResponseEmbeddedAggregationsBEGINNTERMIN.md)\n - [ResponseEmbeddedAggregationsREGIONEN](docs/ResponseEmbeddedAggregationsREGIONEN.md)\n - [ResponseEmbeddedAggregationsSPRACHKURSE](docs/ResponseEmbeddedAggregationsSPRACHKURSE.md)\n - [ResponseEmbeddedAggregationsUNTERRICHTSFORMEN](docs/ResponseEmbeddedAggregationsUNTERRICHTSFORMEN.md)\n - [ResponseEmbeddedAngebot](docs/ResponseEmbeddedAngebot.md)\n - [ResponseEmbeddedAngebotBildungsanbieter](docs/ResponseEmbeddedAngebotBildungsanbieter.md)\n - [ResponseEmbeddedAngebotBildungsanbieterAdresse](docs/ResponseEmbeddedAngebotBildungsanbieterAdresse.md)\n - [ResponseEmbeddedAngebotBildungsanbieterAdresseKoordinaten](docs/ResponseEmbeddedAngebotBildungsanbieterAdresseKoordinaten.md)\n - [ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasse](docs/ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasse.md)\n - [ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasseLand](docs/ResponseEmbeddedAngebotBildungsanbieterAdresseOrtStrasseLand.md)\n - [ResponseEmbeddedAngebotBildungsart](docs/ResponseEmbeddedAngebotBildungsart.md)\n - [ResponseEmbeddedAngebotSchulart](docs/ResponseEmbeddedAngebotSchulart.md)\n - [ResponseEmbeddedAngebotSuchworte](docs/ResponseEmbeddedAngebotSuchworte.md)\n - [ResponseEmbeddedAngebotSystematiken](docs/ResponseEmbeddedAngebotSystematiken.md)\n - [ResponseEmbeddedDauer](docs/ResponseEmbeddedDauer.md)\n - [ResponseEmbeddedLinks](docs/ResponseEmbeddedLinks.md)\n - [ResponseEmbeddedLinksFirst](docs/ResponseEmbeddedLinksFirst.md)\n - [ResponseEmbeddedOrt](docs/ResponseEmbeddedOrt.md)\n - [ResponseEmbeddedPage](docs/ResponseEmbeddedPage.md)\n - [ResponseEmbeddedTermine](docs/ResponseEmbeddedTermine.md)\n - [ResponseEmbeddedUnterrichtsform](docs/ResponseEmbeddedUnterrichtsform.md)\n\n\n## Documentation For Authorization\n\n\n## clientCredAuth\n\n- **Type**: OAuth\n- **Flow**: application\n- **Authorization URL**: \n- **Scopes**: N/A\n\n\n## Author\n\nandreasfischer1985@web.de\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in berufssprachkurssuche.apis and berufssprachkurssuche.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.berufssprachkurssuche.api.default_api import DefaultApi`\n- `from deutschland.berufssprachkurssuche.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import berufssprachkurssuche\nfrom deutschland.berufssprachkurssuche.apis import *\nfrom deutschland.berufssprachkurssuche.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/berufssprachkurssuche-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
